Subject: Re: bug#39081: 26.3; Emacs hangs if external SCIM input method is killed

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jan 2020 08:34:44 +0200

On January 12, 2020 8:05:06 AM GMT+02:00, Vladimir Nikishkin <[email-masked]> wrote:
> Okay, I rebuild Emacs from git with debug information, and after a few
> attempts, Emacs crashed, printing "This is a GTK bug".
> I am not sure why optimized Emacs hangs instead of crashing.
> Maybe this bug can be closed (or maybe there is an interleaving
> between two bugs)

Please run Emacs under GDB, and when it crashes, please show the backtrace.  I'd like to see the details of this crash, perhaps this is some known problem.  Those details might also explain the difference in behavior between the optimized and debug builds.

Thanks.